unit schContactosServer_Intf;

interface

uses
  Classes, DB, SysUtils, uROClasses, uDADataTable, uDABusinessProcessor, schContactosClient_Intf;

const
  { Delta rules ids 
       Feel free to change them to something more human readable
       but make sure they are unique in the context of your application }
  RID_CONTACTOSCATEGORIASDelta = '{9D93D0E4-6B7E-4C00-AB3F-A7BA33F6BAA2}';
  RID_CATEGORIASDelta = '{D88FBC76-F2A1-47FC-A6D5-A32A7A73739F}';
  RID_REFRESCOCONTACTOSCATEGORIASDelta = '{5BD21975-FBF2-4939-A297-E56541C26F1C}';
  RID_CONTACTOSDelta = '{189554DE-B152-491E-9D5F-E33C73099546}';
  RID_CONTACTOSASOCIADOSDelta = '{7E1AA245-40C2-43B1-B4D0-DED91A91B1D1}';
  RID_REFRESCOCONTACTOSASOCIADOSDelta = '{C2541F7D-AE51-47EF-B932-D84416CC4165}';

type
  { ICONTACTOSCATEGORIASDelta }
  ICONTACTOSCATEGORIASDelta = interface(ICONTACTOSCATEGORIAS)
  ['{9D93D0E4-6B7E-4C00-AB3F-A7BA33F6BAA2}']
    { Property getters and setters }
    function GetOldCODIGOCONTACTOValue : Integer;
    function GetOldCODIGOCATEGORIAValue : Integer;
    function GetOldDESCRIPCIONValue : String;

    { Properties }
    property OldCODIGOCONTACTO : Integer read GetOldCODIGOCONTACTOValue;
    property OldCODIGOCATEGORIA : Integer read GetOldCODIGOCATEGORIAValue;
    property OldDESCRIPCION : String read GetOldDESCRIPCIONValue;
  end;

  { TCONTACTOSCATEGORIASBusinessProcessorRules }
  TCONTACTOSCATEGORIASBusinessProcessorRules = class(TDABusinessProcessorRules, ICONTACTOSCATEGORIAS, ICONTACTOSCATEGORIASDelta)
  private
  protected
    { Property getters and setters }
    function GetCODIGOCONTACTOValue: Integer; virtual;
    function GetOldCODIGOCONTACTOValue: Integer; virtual;
    procedure SetCODIGOCONTACTOValue(const aValue: Integer); virtual;
    function GetCODIGOCATEGORIAValue: Integer; virtual;
    function GetOldCODIGOCATEGORIAValue: Integer; virtual;
    procedure SetCODIGOCATEGORIAValue(const aValue: Integer); virtual;
    function GetDESCRIPCIONValue: String; virtual;
    function GetOldDESCRIPCIONValue: String; virtual;
    procedure SetDESCRIPCIONValue(const aValue: String); virtual;

    { Properties }
    property CODIGOCONTACTO : Integer read GetCODIGOCONTACTOValue write SetCODIGOCONTACTOValue;
    property OldCODIGOCONTACTO : Integer read GetOldCODIGOCONTACTOValue;
    property CODIGOCATEGORIA : Integer read GetCODIGOCATEGORIAValue write SetCODIGOCATEGORIAValue;
    property OldCODIGOCATEGORIA : Integer read GetOldCODIGOCATEGORIAValue;
    property DESCRIPCION : String read GetDESCRIPCIONValue write SetDESCRIPCIONValue;
    property OldDESCRIPCION : String read GetOldDESCRIPCIONValue;

  public
    constructor Create(aBusinessProcessor: TDABusinessProcessor); override;
    destructor Destroy; override;

  end;

  { ICATEGORIASDelta }
  ICATEGORIASDelta = interface(ICATEGORIAS)
  ['{D88FBC76-F2A1-47FC-A6D5-A32A7A73739F}']
    { Property getters and setters }
    function GetOldCODIGOValue : Integer;
    function GetOldDESCRIPCIONValue : String;

    { Properties }
    property OldCODIGO : Integer read GetOldCODIGOValue;
    property OldDESCRIPCION : String read GetOldDESCRIPCIONValue;
  end;

  { TCATEGORIASBusinessProcessorRules }
  TCATEGORIASBusinessProcessorRules = class(TDABusinessProcessorRules, ICATEGORIAS, ICATEGORIASDelta)
  private
  protected
    { Property getters and setters }
    function GetCODIGOValue: Integer; virtual;
    function GetOldCODIGOValue: Integer; virtual;
    procedure SetCODIGOValue(const aValue: Integer); virtual;
    function GetDESCRIPCIONValue: String; virtual;
    function GetOldDESCRIPCIONValue: String; virtual;
    procedure SetDESCRIPCIONValue(const aValue: String); virtual;

    { Properties }
    property CODIGO : Integer read GetCODIGOValue write SetCODIGOValue;
    property OldCODIGO : Integer read GetOldCODIGOValue;
    property DESCRIPCION : String read GetDESCRIPCIONValue write SetDESCRIPCIONValue;
    property OldDESCRIPCION : String read GetOldDESCRIPCIONValue;

  public
    constructor Create(aBusinessProcessor: TDABusinessProcessor); override;
    destructor Destroy; override;

  end;

  { IREFRESCOCONTACTOSCATEGORIASDelta }
  IREFRESCOCONTACTOSCATEGORIASDelta = interface(IREFRESCOCONTACTOSCATEGORIAS)
  ['{5BD21975-FBF2-4939-A297-E56541C26F1C}']
    { Property getters and setters }
    function GetOldCODIGOCONTACTOValue : Integer;
    function GetOldCODIGOCATEGORIAValue : Integer;
    function GetOldDESCRIPCIONValue : String;

    { Properties }
    property OldCODIGOCONTACTO : Integer read GetOldCODIGOCONTACTOValue;
    property OldCODIGOCATEGORIA : Integer read GetOldCODIGOCATEGORIAValue;
    property OldDESCRIPCION : String read GetOldDESCRIPCIONValue;
  end;

  { TREFRESCOCONTACTOSCATEGORIASBusinessProcessorRules }
  TREFRESCOCONTACTOSCATEGORIASBusinessProcessorRules = class(TDABusinessProcessorRules, IREFRESCOCONTACTOSCATEGORIAS, IREFRESCOCONTACTOSCATEGORIASDelta)
  private
  protected
    { Property getters and setters }
    function GetCODIGOCONTACTOValue: Integer; virtual;
    function GetOldCODIGOCONTACTOValue: Integer; virtual;
    procedure SetCODIGOCONTACTOValue(const aValue: Integer); virtual;
    function GetCODIGOCATEGORIAValue: Integer; virtual;
    function GetOldCODIGOCATEGORIAValue: Integer; virtual;
    procedure SetCODIGOCATEGORIAValue(const aValue: Integer); virtual;
    function GetDESCRIPCIONValue: String; virtual;
    function GetOldDESCRIPCIONValue: String; virtual;
    procedure SetDESCRIPCIONValue(const aValue: String); virtual;

    { Properties }
    property CODIGOCONTACTO : Integer read GetCODIGOCONTACTOValue write SetCODIGOCONTACTOValue;
    property OldCODIGOCONTACTO : Integer read GetOldCODIGOCONTACTOValue;
    property CODIGOCATEGORIA : Integer read GetCODIGOCATEGORIAValue write SetCODIGOCATEGORIAValue;
    property OldCODIGOCATEGORIA : Integer read GetOldCODIGOCATEGORIAValue;
    property DESCRIPCION : String read GetDESCRIPCIONValue write SetDESCRIPCIONValue;
    property OldDESCRIPCION : String read GetOldDESCRIPCIONValue;

  public
    constructor Create(aBusinessProcessor: TDABusinessProcessor); override;
    destructor Destroy; override;

  end;

  { ICONTACTOSDelta }
  ICONTACTOSDelta = interface(ICONTACTOS)
  ['{189554DE-B152-491E-9D5F-E33C73099546}']
    { Property getters and setters }
    function GetOldCODIGOEMPRESAValue : Integer;
    function GetOldCODIGOValue : Integer;
    function GetOldFECHAALTAValue : DateTime;
    function GetOldUSUARIOValue : String;
    function GetOldNIFCIFValue : String;
    function GetOldNOMBREValue : String;
    function GetOldCALLEValue : String;
    function GetOldPROVINCIAValue : String;
    function GetOldCODIGOPOSTALValue : String;
    function GetOldPOBLACIONValue : String;
    function GetOldTELEFONO1Value : String;
    function GetOldTELEFONO2Value : String;
    function GetOldMOVILValue : String;
    function GetOldFAXValue : String;
    function GetOldCORREO1Value : String;
    function GetOldCORREO2Value : String;
    function GetOldPAGINAWEBValue : String;
    function GetOldPUESTOValue : String;
    function GetOldTRABAJOValue : String;
    function GetOldDATOSFACTURACIONValue : String;
    function GetOldDATOSBANCARIOSValue : String;
    function GetOldLISTACATEGORIASValue : String;

    { Properties }
    property OldCODIGOEMPRESA : Integer read GetOldCODIGOEMPRESAValue;
    property OldCODIGO : Integer read GetOldCODIGOValue;
    property OldFECHAALTA : DateTime read GetOldFECHAALTAValue;
    property OldUSUARIO : String read GetOldUSUARIOValue;
    property OldNIFCIF : String read GetOldNIFCIFValue;
    property OldNOMBRE : String read GetOldNOMBREValue;
    property OldCALLE : String read GetOldCALLEValue;
    property OldPROVINCIA : String read GetOldPROVINCIAValue;
    property OldCODIGOPOSTAL : String read GetOldCODIGOPOSTALValue;
    property OldPOBLACION : String read GetOldPOBLACIONValue;
    property OldTELEFONO1 : String read GetOldTELEFONO1Value;
    property OldTELEFONO2 : String read GetOldTELEFONO2Value;
    property OldMOVIL : String read GetOldMOVILValue;
    property OldFAX : String read GetOldFAXValue;
    property OldCORREO1 : String read GetOldCORREO1Value;
    property OldCORREO2 : String read GetOldCORREO2Value;
    property OldPAGINAWEB : String read GetOldPAGINAWEBValue;
    property OldPUESTO : String read GetOldPUESTOValue;
    property OldTRABAJO : String read GetOldTRABAJOValue;
    property OldDATOSFACTURACION : String read GetOldDATOSFACTURACIONValue;
    property OldDATOSBANCARIOS : String read GetOldDATOSBANCARIOSValue;
    property OldLISTACATEGORIAS : String read GetOldLISTACATEGORIASValue;
  end;

  { TCONTACTOSBusinessProcessorRules }
  TCONTACTOSBusinessProcessorRules = class(TDABusinessProcessorRules, ICONTACTOS, ICONTACTOSDelta)
  private
  protected
    { Property getters and setters }
    function GetCODIGOEMPRESAValue: Integer; virtual;
    function GetOldCODIGOEMPRESAValue: Integer; virtual;
    procedure SetCODIGOEMPRESAValue(const aValue: Integer); virtual;
    function GetCODIGOValue: Integer; virtual;
    function GetOldCODIGOValue: Integer; virtual;
    procedure SetCODIGOValue(const aValue: Integer); virtual;
    function GetFECHAALTAValue: DateTime; virtual;
    function GetOldFECHAALTAValue: DateTime; virtual;
    procedure SetFECHAALTAValue(const aValue: DateTime); virtual;
    function GetUSUARIOValue: String; virtual;
    function GetOldUSUARIOValue: String; virtual;
    procedure SetUSUARIOValue(const aValue: String); virtual;
    function GetNIFCIFValue: String; virtual;
    function GetOldNIFCIFValue: String; virtual;
    procedure SetNIFCIFValue(const aValue: String); virtual;
    function GetNOMBREValue: String; virtual;
    function GetOldNOMBREValue: String; virtual;
    procedure SetNOMBREValue(const aValue: String); virtual;
    function GetCALLEValue: String; virtual;
    function GetOldCALLEValue: String; virtual;
    procedure SetCALLEValue(const aValue: String); virtual;
    function GetPROVINCIAValue: String; virtual;
    function GetOldPROVINCIAValue: String; virtual;
    procedure SetPROVINCIAValue(const aValue: String); virtual;
    function GetCODIGOPOSTALValue: String; virtual;
    function GetOldCODIGOPOSTALValue: String; virtual;
    procedure SetCODIGOPOSTALValue(const aValue: String); virtual;
    function GetPOBLACIONValue: String; virtual;
    function GetOldPOBLACIONValue: String; virtual;
    procedure SetPOBLACIONValue(const aValue: String); virtual;
    function GetTELEFONO1Value: String; virtual;
    function GetOldTELEFONO1Value: String; virtual;
    procedure SetTELEFONO1Value(const aValue: String); virtual;
    function GetTELEFONO2Value: String; virtual;
    function GetOldTELEFONO2Value: String; virtual;
    procedure SetTELEFONO2Value(const aValue: String); virtual;
    function GetMOVILValue: String; virtual;
    function GetOldMOVILValue: String; virtual;
    procedure SetMOVILValue(const aValue: String); virtual;
    function GetFAXValue: String; virtual;
    function GetOldFAXValue: String; virtual;
    procedure SetFAXValue(const aValue: String); virtual;
    function GetCORREO1Value: String; virtual;
    function GetOldCORREO1Value: String; virtual;
    procedure SetCORREO1Value(const aValue: String); virtual;
    function GetCORREO2Value: String; virtual;
    function GetOldCORREO2Value: String; virtual;
    procedure SetCORREO2Value(const aValue: String); virtual;
    function GetPAGINAWEBValue: String; virtual;
    function GetOldPAGINAWEBValue: String; virtual;
    procedure SetPAGINAWEBValue(const aValue: String); virtual;
    function GetPUESTOValue: String; virtual;
    function GetOldPUESTOValue: String; virtual;
    procedure SetPUESTOValue(const aValue: String); virtual;
    function GetTRABAJOValue: String; virtual;
    function GetOldTRABAJOValue: String; virtual;
    procedure SetTRABAJOValue(const aValue: String); virtual;
    function GetDATOSFACTURACIONValue: String; virtual;
    function GetOldDATOSFACTURACIONValue: String; virtual;
    procedure SetDATOSFACTURACIONValue(const aValue: String); virtual;
    function GetDATOSBANCARIOSValue: String; virtual;
    function GetOldDATOSBANCARIOSValue: String; virtual;
    procedure SetDATOSBANCARIOSValue(const aValue: String); virtual;
    function GetLISTACATEGORIASValue: String; virtual;
    function GetOldLISTACATEGORIASValue: String; virtual;
    procedure SetLISTACATEGORIASValue(const aValue: String); virtual;

    { Properties }
    property CODIGOEMPRESA : Integer read GetCODIGOEMPRESAValue write SetCODIGOEMPRESAValue;
    property OldCODIGOEMPRESA : Integer read GetOldCODIGOEMPRESAValue;
    property CODIGO : Integer read GetCODIGOValue write SetCODIGOValue;
    property OldCODIGO : Integer read GetOldCODIGOValue;
    property FECHAALTA : DateTime read GetFECHAALTAValue write SetFECHAALTAValue;
    property OldFECHAALTA : DateTime read GetOldFECHAALTAValue;
    property USUARIO : String read GetUSUARIOValue write SetUSUARIOValue;
    property OldUSUARIO : String read GetOldUSUARIOValue;
    property NIFCIF : String read GetNIFCIFValue write SetNIFCIFValue;
    property OldNIFCIF : String read GetOldNIFCIFValue;
    property NOMBRE : String read GetNOMBREValue write SetNOMBREValue;
    property OldNOMBRE : String read GetOldNOMBREValue;
    property CALLE : String read GetCALLEValue write SetCALLEValue;
    property OldCALLE : String read GetOldCALLEValue;
    property PROVINCIA : String read GetPROVINCIAValue write SetPROVINCIAValue;
    property OldPROVINCIA : String read GetOldPROVINCIAValue;
    property CODIGOPOSTAL : String read GetCODIGOPOSTALValue write SetCODIGOPOSTALValue;
    property OldCODIGOPOSTAL : String read GetOldCODIGOPOSTALValue;
    property POBLACION : String read GetPOBLACIONValue write SetPOBLACIONValue;
    property OldPOBLACION : String read GetOldPOBLACIONValue;
    property TELEFONO1 : String read GetTELEFONO1Value write SetTELEFONO1Value;
    property OldTELEFONO1 : String read GetOldTELEFONO1Value;
    property TELEFONO2 : String read GetTELEFONO2Value write SetTELEFONO2Value;
    property OldTELEFONO2 : String read GetOldTELEFONO2Value;
    property MOVIL : String read GetMOVILValue write SetMOVILValue;
    property OldMOVIL : String read GetOldMOVILValue;
    property FAX : String read GetFAXValue write SetFAXValue;
    property OldFAX : String read GetOldFAXValue;
    property CORREO1 : String read GetCORREO1Value write SetCORREO1Value;
    property OldCORREO1 : String read GetOldCORREO1Value;
    property CORREO2 : String read GetCORREO2Value write SetCORREO2Value;
    property OldCORREO2 : String read GetOldCORREO2Value;
    property PAGINAWEB : String read GetPAGINAWEBValue write SetPAGINAWEBValue;
    property OldPAGINAWEB : String read GetOldPAGINAWEBValue;
    property PUESTO : String read GetPUESTOValue write SetPUESTOValue;
    property OldPUESTO : String read GetOldPUESTOValue;
    property TRABAJO : String read GetTRABAJOValue write SetTRABAJOValue;
    property OldTRABAJO : String read GetOldTRABAJOValue;
    property DATOSFACTURACION : String read GetDATOSFACTURACIONValue write SetDATOSFACTURACIONValue;
    property OldDATOSFACTURACION : String read GetOldDATOSFACTURACIONValue;
    property DATOSBANCARIOS : String read GetDATOSBANCARIOSValue write SetDATOSBANCARIOSValue;
    property OldDATOSBANCARIOS : String read GetOldDATOSBANCARIOSValue;
    property LISTACATEGORIAS : String read GetLISTACATEGORIASValue write SetLISTACATEGORIASValue;
    property OldLISTACATEGORIAS : String read GetOldLISTACATEGORIASValue;

  public
    constructor Create(aBusinessProcessor: TDABusinessProcessor); override;
    destructor Destroy; override;

  end;

  { ICONTACTOSASOCIADOSDelta }
  ICONTACTOSASOCIADOSDelta = interface(ICONTACTOSASOCIADOS)
  ['{7E1AA245-40C2-43B1-B4D0-DED91A91B1D1}']
    { Property getters and setters }
    function GetOldCODIGOCONTACTOValue : Integer;
    function GetOldCODIGOASOCIADOValue : Integer;
    function GetOldNOMBREValue : String;

    { Properties }
    property OldCODIGOCONTACTO : Integer read GetOldCODIGOCONTACTOValue;
    property OldCODIGOASOCIADO : Integer read GetOldCODIGOASOCIADOValue;
    property OldNOMBRE : String read GetOldNOMBREValue;
  end;

  { TCONTACTOSASOCIADOSBusinessProcessorRules }
  TCONTACTOSASOCIADOSBusinessProcessorRules = class(TDABusinessProcessorRules, ICONTACTOSASOCIADOS, ICONTACTOSASOCIADOSDelta)
  private
  protected
    { Property getters and setters }
    function GetCODIGOCONTACTOValue: Integer; virtual;
    function GetOldCODIGOCONTACTOValue: Integer; virtual;
    procedure SetCODIGOCONTACTOValue(const aValue: Integer); virtual;
    function GetCODIGOASOCIADOValue: Integer; virtual;
    function GetOldCODIGOASOCIADOValue: Integer; virtual;
    procedure SetCODIGOASOCIADOValue(const aValue: Integer); virtual;
    function GetNOMBREValue: String; virtual;
    function GetOldNOMBREValue: String; virtual;
    procedure SetNOMBREValue(const aValue: String); virtual;

    { Properties }
    property CODIGOCONTACTO : Integer read GetCODIGOCONTACTOValue write SetCODIGOCONTACTOValue;
    property OldCODIGOCONTACTO : Integer read GetOldCODIGOCONTACTOValue;
    property CODIGOASOCIADO : Integer read GetCODIGOASOCIADOValue write SetCODIGOASOCIADOValue;
    property OldCODIGOASOCIADO : Integer read GetOldCODIGOASOCIADOValue;
    property NOMBRE : String read GetNOMBREValue write SetNOMBREValue;
    property OldNOMBRE : String read GetOldNOMBREValue;

  public
    constructor Create(aBusinessProcessor: TDABusinessProcessor); override;
    destructor Destroy; override;

  end;

  { IREFRESCOCONTACTOSASOCIADOSDelta }
  IREFRESCOCONTACTOSASOCIADOSDelta = interface(IREFRESCOCONTACTOSASOCIADOS)
  ['{C2541F7D-AE51-47EF-B932-D84416CC4165}']
    { Property getters and setters }
    function GetOldCODIGOCONTACTOValue : Integer;
    function GetOldCODIGOASOCIADOValue : Integer;
    function GetOldNOMBREValue : String;

    { Properties }
    property OldCODIGOCONTACTO : Integer read GetOldCODIGOCONTACTOValue;
    property OldCODIGOASOCIADO : Integer read GetOldCODIGOASOCIADOValue;
    property OldNOMBRE : String read GetOldNOMBREValue;
  end;

  { TREFRESCOCONTACTOSASOCIADOSBusinessProcessorRules }
  TREFRESCOCONTACTOSASOCIADOSBusinessProcessorRules = class(TDABusinessProcessorRules, IREFRESCOCONTACTOSASOCIADOS, IREFRESCOCONTACTOSASOCIADOSDelta)
  private
  protected
    { Property getters and setters }
    function GetCODIGOCONTACTOValue: Integer; virtual;
    function GetOldCODIGOCONTACTOValue: Integer; virtual;
    procedure SetCODIGOCONTACTOValue(const aValue: Integer); virtual;
    function GetCODIGOASOCIADOValue: Integer; virtual;
    function GetOldCODIGOASOCIADOValue: Integer; virtual;
    procedure SetCODIGOASOCIADOValue(const aValue: Integer); virtual;
    function GetNOMBREValue: String; virtual;
    function GetOldNOMBREValue: String; virtual;
    procedure SetNOMBREValue(const aValue: String); virtual;

    { Properties }
    property CODIGOCONTACTO : Integer read GetCODIGOCONTACTOValue write SetCODIGOCONTACTOValue;
    property OldCODIGOCONTACTO : Integer read GetOldCODIGOCONTACTOValue;
    property CODIGOASOCIADO : Integer read GetCODIGOASOCIADOValue write SetCODIGOASOCIADOValue;
    property OldCODIGOASOCIADO : Integer read GetOldCODIGOASOCIADOValue;
    property NOMBRE : String read GetNOMBREValue write SetNOMBREValue;
    property OldNOMBRE : String read GetOldNOMBREValue;

  public
    constructor Create(aBusinessProcessor: TDABusinessProcessor); override;
    destructor Destroy; override;

  end;

implementation

uses
  Variants, uROBinaryHelpers;

{ TCONTACTOSCATEGORIASBusinessProcessorRules }
constructor TCONTACTOSCATEGORIASBusinessProcessorRules.Create(aBusinessProcessor: TDABusinessProcessor);
begin
  inherited;
end;

destructor TCONTACTOSCATEGORIASBusinessProcessorRules.Destroy;
begin
  inherited;
end;

function TCONTACTOSCATEGORIASBusinessProcessorRules.GetCODIGOCONTACTOValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_CONTACTOSCATEGORIASCODIGOCONTACTO];
end;

function TCONTACTOSCATEGORIASBusinessProcessorRules.GetOldCODIGOCONTACTOValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_CONTACTOSCATEGORIASCODIGOCONTACTO];
end;

procedure TCONTACTOSCATEGORIASBusinessProcessorRules.SetCODIGOCONTACTOValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_CONTACTOSCATEGORIASCODIGOCONTACTO] := aValue;
end;

function TCONTACTOSCATEGORIASBusinessProcessorRules.GetCODIGOCATEGORIAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_CONTACTOSCATEGORIASCODIGOCATEGORIA];
end;

function TCONTACTOSCATEGORIASBusinessProcessorRules.GetOldCODIGOCATEGORIAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_CONTACTOSCATEGORIASCODIGOCATEGORIA];
end;

procedure TCONTACTOSCATEGORIASBusinessProcessorRules.SetCODIGOCATEGORIAValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_CONTACTOSCATEGORIASCODIGOCATEGORIA] := aValue;
end;

function TCONTACTOSCATEGORIASBusinessProcessorRules.GetDESCRIPCIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_CONTACTOSCATEGORIASDESCRIPCION];
end;

function TCONTACTOSCATEGORIASBusinessProcessorRules.GetOldDESCRIPCIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_CONTACTOSCATEGORIASDESCRIPCION];
end;

procedure TCONTACTOSCATEGORIASBusinessProcessorRules.SetDESCRIPCIONValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_CONTACTOSCATEGORIASDESCRIPCION] := aValue;
end;


{ TCATEGORIASBusinessProcessorRules }
constructor TCATEGORIASBusinessProcessorRules.Create(aBusinessProcessor: TDABusinessProcessor);
begin
  inherited;
end;

destructor TCATEGORIASBusinessProcessorRules.Destroy;
begin
  inherited;
end;

function TCATEGORIASBusinessProcessorRules.GetCODIGOValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_CATEGORIASCODIGO];
end;

function TCATEGORIASBusinessProcessorRules.GetOldCODIGOValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_CATEGORIASCODIGO];
end;

procedure TCATEGORIASBusinessProcessorRules.SetCODIGOValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_CATEGORIASCODIGO] := aValue;
end;

function TCATEGORIASBusinessProcessorRules.GetDESCRIPCIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_CATEGORIASDESCRIPCION];
end;

function TCATEGORIASBusinessProcessorRules.GetOldDESCRIPCIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_CATEGORIASDESCRIPCION];
end;

procedure TCATEGORIASBusinessProcessorRules.SetDESCRIPCIONValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_CATEGORIASDESCRIPCION] := aValue;
end;


{ TREFRESCOCONTACTOSCATEGORIASBusinessProcessorRules }
constructor TREFRESCOCONTACTOSCATEGORIASBusinessProcessorRules.Create(aBusinessProcessor: TDABusinessProcessor);
begin
  inherited;
end;

destructor TREFRESCOCONTACTOSCATEGORIASBusinessProcessorRules.Destroy;
begin
  inherited;
end;

function TREFRESCOCONTACTOSCATEGORIASBusinessProcessorRules.GetCODIGOCONTACTOValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_REFRESCOCONTACTOSCATEGORIASCODIGOCONTACTO];
end;

function TREFRESCOCONTACTOSCATEGORIASBusinessProcessorRules.GetOldCODIGOCONTACTOValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_REFRESCOCONTACTOSCATEGORIASCODIGOCONTACTO];
end;

procedure TREFRESCOCONTACTOSCATEGORIASBusinessProcessorRules.SetCODIGOCONTACTOValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_REFRESCOCONTACTOSCATEGORIASCODIGOCONTACTO] := aValue;
end;

function TREFRESCOCONTACTOSCATEGORIASBusinessProcessorRules.GetCODIGOCATEGORIAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_REFRESCOCONTACTOSCATEGORIASCODIGOCATEGORIA];
end;

function TREFRESCOCONTACTOSCATEGORIASBusinessProcessorRules.GetOldCODIGOCATEGORIAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_REFRESCOCONTACTOSCATEGORIASCODIGOCATEGORIA];
end;

procedure TREFRESCOCONTACTOSCATEGORIASBusinessProcessorRules.SetCODIGOCATEGORIAValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_REFRESCOCONTACTOSCATEGORIASCODIGOCATEGORIA] := aValue;
end;

function TREFRESCOCONTACTOSCATEGORIASBusinessProcessorRules.GetDESCRIPCIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_REFRESCOCONTACTOSCATEGORIASDESCRIPCION];
end;

function TREFRESCOCONTACTOSCATEGORIASBusinessProcessorRules.GetOldDESCRIPCIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_REFRESCOCONTACTOSCATEGORIASDESCRIPCION];
end;

procedure TREFRESCOCONTACTOSCATEGORIASBusinessProcessorRules.SetDESCRIPCIONValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_REFRESCOCONTACTOSCATEGORIASDESCRIPCION] := aValue;
end;


{ TCONTACTOSBusinessProcessorRules }
constructor TCONTACTOSBusinessProcessorRules.Create(aBusinessProcessor: TDABusinessProcessor);
begin
  inherited;
end;

destructor TCONTACTOSBusinessProcessorRules.Destroy;
begin
  inherited;
end;

function TCONTACTOSBusinessProcessorRules.GetCODIGOEMPRESAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_CONTACTOSCODIGOEMPRESA];
end;

function TCONTACTOSBusinessProcessorRules.GetOldCODIGOEMPRESAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_CONTACTOSCODIGOEMPRESA];
end;

procedure TCONTACTOSBusinessProcessorRules.SetCODIGOEMPRESAValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_CONTACTOSCODIGOEMPRESA] := aValue;
end;

function TCONTACTOSBusinessProcessorRules.GetCODIGOValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_CONTACTOSCODIGO];
end;

function TCONTACTOSBusinessProcessorRules.GetOldCODIGOValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_CONTACTOSCODIGO];
end;

procedure TCONTACTOSBusinessProcessorRules.SetCODIGOValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_CONTACTOSCODIGO] := aValue;
end;

function TCONTACTOSBusinessProcessorRules.GetFECHAALTAValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_CONTACTOSFECHAALTA];
end;

function TCONTACTOSBusinessProcessorRules.GetOldFECHAALTAValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_CONTACTOSFECHAALTA];
end;

procedure TCONTACTOSBusinessProcessorRules.SetFECHAALTAValue(const aValue: DateTime);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_CONTACTOSFECHAALTA] := aValue;
end;

function TCONTACTOSBusinessProcessorRules.GetUSUARIOValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_CONTACTOSUSUARIO];
end;

function TCONTACTOSBusinessProcessorRules.GetOldUSUARIOValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_CONTACTOSUSUARIO];
end;

procedure TCONTACTOSBusinessProcessorRules.SetUSUARIOValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_CONTACTOSUSUARIO] := aValue;
end;

function TCONTACTOSBusinessProcessorRules.GetNIFCIFValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_CONTACTOSNIFCIF];
end;

function TCONTACTOSBusinessProcessorRules.GetOldNIFCIFValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_CONTACTOSNIFCIF];
end;

procedure TCONTACTOSBusinessProcessorRules.SetNIFCIFValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_CONTACTOSNIFCIF] := aValue;
end;

function TCONTACTOSBusinessProcessorRules.GetNOMBREValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_CONTACTOSNOMBRE];
end;

function TCONTACTOSBusinessProcessorRules.GetOldNOMBREValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_CONTACTOSNOMBRE];
end;

procedure TCONTACTOSBusinessProcessorRules.SetNOMBREValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_CONTACTOSNOMBRE] := aValue;
end;

function TCONTACTOSBusinessProcessorRules.GetCALLEValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_CONTACTOSCALLE];
end;

function TCONTACTOSBusinessProcessorRules.GetOldCALLEValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_CONTACTOSCALLE];
end;

procedure TCONTACTOSBusinessProcessorRules.SetCALLEValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_CONTACTOSCALLE] := aValue;
end;

function TCONTACTOSBusinessProcessorRules.GetPROVINCIAValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_CONTACTOSPROVINCIA];
end;

function TCONTACTOSBusinessProcessorRules.GetOldPROVINCIAValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_CONTACTOSPROVINCIA];
end;

procedure TCONTACTOSBusinessProcessorRules.SetPROVINCIAValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_CONTACTOSPROVINCIA] := aValue;
end;

function TCONTACTOSBusinessProcessorRules.GetCODIGOPOSTALValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_CONTACTOSCODIGOPOSTAL];
end;

function TCONTACTOSBusinessProcessorRules.GetOldCODIGOPOSTALValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_CONTACTOSCODIGOPOSTAL];
end;

procedure TCONTACTOSBusinessProcessorRules.SetCODIGOPOSTALValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_CONTACTOSCODIGOPOSTAL] := aValue;
end;

function TCONTACTOSBusinessProcessorRules.GetPOBLACIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_CONTACTOSPOBLACION];
end;

function TCONTACTOSBusinessProcessorRules.GetOldPOBLACIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_CONTACTOSPOBLACION];
end;

procedure TCONTACTOSBusinessProcessorRules.SetPOBLACIONValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_CONTACTOSPOBLACION] := aValue;
end;

function TCONTACTOSBusinessProcessorRules.GetTELEFONO1Value: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_CONTACTOSTELEFONO1];
end;

function TCONTACTOSBusinessProcessorRules.GetOldTELEFONO1Value: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_CONTACTOSTELEFONO1];
end;

procedure TCONTACTOSBusinessProcessorRules.SetTELEFONO1Value(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_CONTACTOSTELEFONO1] := aValue;
end;

function TCONTACTOSBusinessProcessorRules.GetTELEFONO2Value: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_CONTACTOSTELEFONO2];
end;

function TCONTACTOSBusinessProcessorRules.GetOldTELEFONO2Value: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_CONTACTOSTELEFONO2];
end;

procedure TCONTACTOSBusinessProcessorRules.SetTELEFONO2Value(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_CONTACTOSTELEFONO2] := aValue;
end;

function TCONTACTOSBusinessProcessorRules.GetMOVILValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_CONTACTOSMOVIL];
end;

function TCONTACTOSBusinessProcessorRules.GetOldMOVILValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_CONTACTOSMOVIL];
end;

procedure TCONTACTOSBusinessProcessorRules.SetMOVILValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_CONTACTOSMOVIL] := aValue;
end;

function TCONTACTOSBusinessProcessorRules.GetFAXValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_CONTACTOSFAX];
end;

function TCONTACTOSBusinessProcessorRules.GetOldFAXValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_CONTACTOSFAX];
end;

procedure TCONTACTOSBusinessProcessorRules.SetFAXValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_CONTACTOSFAX] := aValue;
end;

function TCONTACTOSBusinessProcessorRules.GetCORREO1Value: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_CONTACTOSCORREO1];
end;

function TCONTACTOSBusinessProcessorRules.GetOldCORREO1Value: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_CONTACTOSCORREO1];
end;

procedure TCONTACTOSBusinessProcessorRules.SetCORREO1Value(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_CONTACTOSCORREO1] := aValue;
end;

function TCONTACTOSBusinessProcessorRules.GetCORREO2Value: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_CONTACTOSCORREO2];
end;

function TCONTACTOSBusinessProcessorRules.GetOldCORREO2Value: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_CONTACTOSCORREO2];
end;

procedure TCONTACTOSBusinessProcessorRules.SetCORREO2Value(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_CONTACTOSCORREO2] := aValue;
end;

function TCONTACTOSBusinessProcessorRules.GetPAGINAWEBValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_CONTACTOSPAGINAWEB];
end;

function TCONTACTOSBusinessProcessorRules.GetOldPAGINAWEBValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_CONTACTOSPAGINAWEB];
end;

procedure TCONTACTOSBusinessProcessorRules.SetPAGINAWEBValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_CONTACTOSPAGINAWEB] := aValue;
end;

function TCONTACTOSBusinessProcessorRules.GetPUESTOValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_CONTACTOSPUESTO];
end;

function TCONTACTOSBusinessProcessorRules.GetOldPUESTOValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_CONTACTOSPUESTO];
end;

procedure TCONTACTOSBusinessProcessorRules.SetPUESTOValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_CONTACTOSPUESTO] := aValue;
end;

function TCONTACTOSBusinessProcessorRules.GetTRABAJOValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_CONTACTOSTRABAJO];
end;

function TCONTACTOSBusinessProcessorRules.GetOldTRABAJOValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_CONTACTOSTRABAJO];
end;

procedure TCONTACTOSBusinessProcessorRules.SetTRABAJOValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_CONTACTOSTRABAJO] := aValue;
end;

function TCONTACTOSBusinessProcessorRules.GetDATOSFACTURACIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_CONTACTOSDATOSFACTURACION];
end;

function TCONTACTOSBusinessProcessorRules.GetOldDATOSFACTURACIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_CONTACTOSDATOSFACTURACION];
end;

procedure TCONTACTOSBusinessProcessorRules.SetDATOSFACTURACIONValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_CONTACTOSDATOSFACTURACION] := aValue;
end;

function TCONTACTOSBusinessProcessorRules.GetDATOSBANCARIOSValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_CONTACTOSDATOSBANCARIOS];
end;

function TCONTACTOSBusinessProcessorRules.GetOldDATOSBANCARIOSValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_CONTACTOSDATOSBANCARIOS];
end;

procedure TCONTACTOSBusinessProcessorRules.SetDATOSBANCARIOSValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_CONTACTOSDATOSBANCARIOS] := aValue;
end;

function TCONTACTOSBusinessProcessorRules.GetLISTACATEGORIASValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_CONTACTOSLISTACATEGORIAS];
end;

function TCONTACTOSBusinessProcessorRules.GetOldLISTACATEGORIASValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_CONTACTOSLISTACATEGORIAS];
end;

procedure TCONTACTOSBusinessProcessorRules.SetLISTACATEGORIASValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_CONTACTOSLISTACATEGORIAS] := aValue;
end;


{ TCONTACTOSASOCIADOSBusinessProcessorRules }
constructor TCONTACTOSASOCIADOSBusinessProcessorRules.Create(aBusinessProcessor: TDABusinessProcessor);
begin
  inherited;
end;

destructor TCONTACTOSASOCIADOSBusinessProcessorRules.Destroy;
begin
  inherited;
end;

function TCONTACTOSASOCIADOSBusinessProcessorRules.GetCODIGOCONTACTOValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_CONTACTOSASOCIADOSCODIGOCONTACTO];
end;

function TCONTACTOSASOCIADOSBusinessProcessorRules.GetOldCODIGOCONTACTOValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_CONTACTOSASOCIADOSCODIGOCONTACTO];
end;

procedure TCONTACTOSASOCIADOSBusinessProcessorRules.SetCODIGOCONTACTOValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_CONTACTOSASOCIADOSCODIGOCONTACTO] := aValue;
end;

function TCONTACTOSASOCIADOSBusinessProcessorRules.GetCODIGOASOCIADOValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_CONTACTOSASOCIADOSCODIGOASOCIADO];
end;

function TCONTACTOSASOCIADOSBusinessProcessorRules.GetOldCODIGOASOCIADOValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_CONTACTOSASOCIADOSCODIGOASOCIADO];
end;

procedure TCONTACTOSASOCIADOSBusinessProcessorRules.SetCODIGOASOCIADOValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_CONTACTOSASOCIADOSCODIGOASOCIADO] := aValue;
end;

function TCONTACTOSASOCIADOSBusinessProcessorRules.GetNOMBREValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_CONTACTOSASOCIADOSNOMBRE];
end;

function TCONTACTOSASOCIADOSBusinessProcessorRules.GetOldNOMBREValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_CONTACTOSASOCIADOSNOMBRE];
end;

procedure TCONTACTOSASOCIADOSBusinessProcessorRules.SetNOMBREValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_CONTACTOSASOCIADOSNOMBRE] := aValue;
end;


{ TREFRESCOCONTACTOSASOCIADOSBusinessProcessorRules }
constructor TREFRESCOCONTACTOSASOCIADOSBusinessProcessorRules.Create(aBusinessProcessor: TDABusinessProcessor);
begin
  inherited;
end;

destructor TREFRESCOCONTACTOSASOCIADOSBusinessProcessorRules.Destroy;
begin
  inherited;
end;

function TREFRESCOCONTACTOSASOCIADOSBusinessProcessorRules.GetCODIGOCONTACTOValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_REFRESCOCONTACTOSASOCIADOSCODIGOCONTACTO];
end;

function TREFRESCOCONTACTOSASOCIADOSBusinessProcessorRules.GetOldCODIGOCONTACTOValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_REFRESCOCONTACTOSASOCIADOSCODIGOCONTACTO];
end;

procedure TREFRESCOCONTACTOSASOCIADOSBusinessProcessorRules.SetCODIGOCONTACTOValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_REFRESCOCONTACTOSASOCIADOSCODIGOCONTACTO] := aValue;
end;

function TREFRESCOCONTACTOSASOCIADOSBusinessProcessorRules.GetCODIGOASOCIADOValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_REFRESCOCONTACTOSASOCIADOSCODIGOASOCIADO];
end;

function TREFRESCOCONTACTOSASOCIADOSBusinessProcessorRules.GetOldCODIGOASOCIADOValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_REFRESCOCONTACTOSASOCIADOSCODIGOASOCIADO];
end;

procedure TREFRESCOCONTACTOSASOCIADOSBusinessProcessorRules.SetCODIGOASOCIADOValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_REFRESCOCONTACTOSASOCIADOSCODIGOASOCIADO] := aValue;
end;

function TREFRESCOCONTACTOSASOCIADOSBusinessProcessorRules.GetNOMBREValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_REFRESCOCONTACTOSASOCIADOSNOMBRE];
end;

function TREFRESCOCONTACTOSASOCIADOSBusinessProcessorRules.GetOldNOMBREValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_REFRESCOCONTACTOSASOCIADOSNOMBRE];
end;

procedure TREFRESCOCONTACTOSASOCIADOSBusinessProcessorRules.SetNOMBREValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_REFRESCOCONTACTOSASOCIADOSNOMBRE] := aValue;
end;


initialization
  RegisterBusinessProcessorRules(RID_CONTACTOSCATEGORIASDelta, TCONTACTOSCATEGORIASBusinessProcessorRules);
  RegisterBusinessProcessorRules(RID_CATEGORIASDelta, TCATEGORIASBusinessProcessorRules);
  RegisterBusinessProcessorRules(RID_REFRESCOCONTACTOSCATEGORIASDelta, TREFRESCOCONTACTOSCATEGORIASBusinessProcessorRules);
  RegisterBusinessProcessorRules(RID_CONTACTOSDelta, TCONTACTOSBusinessProcessorRules);
  RegisterBusinessProcessorRules(RID_CONTACTOSASOCIADOSDelta, TCONTACTOSASOCIADOSBusinessProcessorRules);
  RegisterBusinessProcessorRules(RID_REFRESCOCONTACTOSASOCIADOSDelta, TREFRESCOCONTACTOSASOCIADOSBusinessProcessorRules);

end.
